import { MarkerSeries } from "./MarkerSeries";
import { Point, Type } from "igniteui-react-core";
import { PolarAxisInfoCache } from "./PolarAxisInfoCache";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { PolarFrame } from "./PolarFrame";
import { DependencyProperty } from "igniteui-react-core";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Series } from "./Series";
import { NumericAngleAxis } from "./NumericAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { TrendLineType } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { ScatterItemSearchMode } from "./ScatterItemSearchMode";
import { HighlightingInfo } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { List$1 } from "igniteui-react-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { PolarAxes } from "./PolarAxes";
import { SeriesLayerPropertyOverlay } from "./SeriesLayerPropertyOverlay";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { OwnedPoint } from "./OwnedPoint";
import { HashPool$2 } from "igniteui-react-core";
import { MarkerManagerBase } from "./MarkerManagerBase";
import { PolarTrendLineManager } from "./PolarTrendLineManager";
import { AssigningPolarStyleEventArgs } from "./AssigningPolarStyleEventArgs";
import { AssigningPolarMarkerStyleEventArgs } from "./AssigningPolarMarkerStyleEventArgs";
import { AssigningSeriesStyleEventArgsBase } from "./AssigningSeriesStyleEventArgsBase";
import { SeriesRenderManager } from "./SeriesRenderManager";
import { RenderSurface } from "./RenderSurface";
import { IDictionary$2 } from "igniteui-react-core";
import { AssigningSeriesShapeStyleEventArgsBase } from "./AssigningSeriesShapeStyleEventArgsBase";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class PolarBase extends MarkerSeries {
    static $t: Type;
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    yo: PolarBaseView;
    private yp;
    oz(): void;
    protected get_fn(): boolean;
    d9(a: List$1<SeriesPointOfInterest>, b: boolean, c: boolean, d: number): boolean;
    constructor();
    private aax;
    private aaz;
    private yg;
    yn: PolarAxisInfoCache;
    private ab6;
    private ab5;
    private ab4;
    y1: SeriesRenderer$2<PolarFrame, PolarBaseView>;
    aaa: string;
    aas: string;
    aaf: string;
    aad: string;
    protected f9(): boolean;
    protected zp(): boolean;
    protected hr(): List$1<SeriesLayerPropertyOverlay>;
    private aa1;
    private aa0;
    protected get za(): IFastItemColumn$1<number>;
    protected set za(a: IFastItemColumn$1<number>);
    private y8;
    protected get zb(): IFastItemColumn$1<number>;
    protected set zb(a: IFastItemColumn$1<number>);
    private y9;
    yk: NumericAngleAxis;
    yl: NumericRadiusAxis;
    zq: boolean;
    z0: number;
    y2: TrendLineType;
    abz: Brush;
    get aby(): Brush;
    set aby(a: Brush);
    static readonly aa9: DependencyProperty;
    zy: number;
    ab1: PenLineCap;
    ab0: DoubleCollection;
    z1: number;
    z2: number;
    zg: boolean;
    yt: PolarFrame;
    yv: PolarFrame;
    yr: PolarFrame;
    ys(): PolarFrame;
    ym: PolarAxes;
    p5(): void;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected sj(a: Rect, b: Rect): void;
    protected sk(a: Rect, b: Rect): void;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    rn(a: boolean): void;
    private ab3;
    ax(a: Axis): AxisRange;
    gb(a: any): boolean;
    kl(a: Point): any;
    j1(a: Point): number;
    ip(a: Point): number;
    protected zu(a: Point): number;
    protected zt(a: Point): number;
    private zh;
    private zr;
    private zx;
    protected zw(a: Point): number;
    protected zv(a: Point): number;
    v5(a: Point, b: boolean, c: boolean): Point;
    ai(): Axis[];
    ko(a: any, b: string): any;
    ma(a: string): string;
    protected q4(a: any, b: string, c: any, d: any): void;
    private yx;
    get yy(): ScatterItemSearchMode;
    set yy(a: ScatterItemSearchMode);
    protected yz(): ScatterItemSearchMode;
    protected get_zk(): boolean;
    protected get zk(): boolean;
    protected zm(): boolean;
    protected zl(): boolean;
    y0: ScatterItemSearchMode;
    zz: number;
    zf(a: any): boolean;
    ze(a: any): boolean;
    o2(a: boolean, b: SeriesView): void;
    private yh;
    aaw(a: PolarFrame, b: number, c: Rect, d: Rect): void;
    aa4(a: PolarFrame, b: PolarBaseView): void;
    zj: boolean;
    zi: boolean;
    protected zd: boolean;
    protected zc: boolean;
    protected get_fc(): boolean;
    private y6;
    private y7;
    protected y4(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    protected y5(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    protected y3(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    de(a: any, b: Point, c: boolean): HighlightingInfo;
    df(a: any, b: Point, c: boolean): HighlightingInfo;
    assigningPolarStyle: (sender: any, args: AssigningPolarStyleEventArgs) => void;
    assigningPolarMarkerStyle: (sender: any, args: AssigningPolarMarkerStyleEventArgs) => void;
    protected zo(): boolean;
    protected zn(): boolean;
    aa8(a: PolarFrame, b: PolarBaseView): void;
    ye(a: number, b: number): any[];
    protected yf(a: number, b: number): any[];
    protected yw: PolarSeriesRenderManager;
    aay(a: PolarBaseView, b: PolarFrame): void;
    protected aa3(a: number, b: number, c: boolean): void;
    protected aa2(a: number, b: number, c: boolean): void;
    protected aa6(a: AssigningPolarStyleEventArgs): void;
    protected aa5(a: AssigningPolarMarkerStyleEventArgs): void;
    private aav;
    protected sa(): void;
    yu: PolarFrame;
    ro(a: Rect, b: RenderSurface): void;
    private yq;
    rl(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    aa7(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    yd(a: HashPool$2<any, Marker>, b: Rect, c: Rect): Point[];
    zs(a: HashPool$2<any, Marker>): List$1<number>;
    ab2(a: number): Point;
    protected pu(a: any): void;
    aao: string;
    z6: string;
    aaq: string;
    z8: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarSeriesRenderManager extends SeriesRenderManager {
    static $t: Type;
    protected c(): AssigningSeriesStyleEventArgsBase;
    protected a(): AssigningSeriesShapeStyleEventArgsBase;
    aw: AssigningPolarMarkerStyleEventArgs;
    ax: AssigningPolarStyleEventArgs;
    ay(a: PolarBase, b: boolean, c: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    az(a: Series, b: boolean, c: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    a0(a: AssigningSeriesStyleEventArgsBase, b: number, c: number, d: boolean): void;
}
/**
 * @hidden
 */
export declare class PolarBaseView extends MarkerSeriesView {
    static $t: Type;
    protected cz: PolarBase;
    cy: MarkerManagerBase;
    constructor(a: PolarBase);
    c0: PolarTrendLineManager;
    au(): void;
    c4(a: (arg1: Marker) => void): void;
    protected cx(): MarkerManagerBase;
    protected c5(a: IDictionary$2<any, OwnedPoint>): void;
    protected cw(): Point[];
    protected c2(): List$1<number>;
    c3(a: Rect, b: Rect, c: Rect, d: Rect): void;
    c6(): void;
    c1: HashPool$2<any, Marker>;
    cj(a: (arg1: Marker) => void): void;
    protected a7(a: RenderingContext, b: boolean): void;
    protected c7(): Rect;
    getDefaultTooltipTemplate(): string;
}
